---
sidebar_position: 5
description: Get external link for a file and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get external link for a file
 Get external link to file



`Function GetFileExternalLink(Val URL, Val FileID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FileID | --fileid | String, Number | &#x2714; | File identifier |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
The method has suddenly disappeared from the API on the cloud Bitrix24 where it was being tested (09/24). It might still work on other versions, but it's not guaranteed

Method at API documentation: [disk.file.getExternalLink](https://dev.1c-bitrix.ru/rest_help/disk/file/disk_file_getexternallink.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    FileID = "48396";

    Result = OPI_Bitrix24.GetFileExternalLink(URL, FileID);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.GetFileExternalLink(URL, FileID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetFileExternalLink \
             --url "b24-ar17wx.bitrix24.by" \
             --fileid 48450 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetFileExternalLink ^
             --url "b24-ar17wx.bitrix24.by" ^
             --fileid 48450 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "error": "ERROR_METHOD_NOT_FOUND",
 "error_description": "Method not found!"
}
```
